import { processSendQueue, initializeSendQueue } from './modules/queueManager.js';
import { fetchGeneratedMessages, showMessagesModal, loadSendListFromStorage } from './modules/messageManager.js';
import { updateAllActions, renderTags, populateContactsTable } from './modules/tableManager.js';
import { initializeTabControls, initializeAutoCloseToggle, updateStatus } from './modules/uiManager.js';
import { delay, updateTabCount } from './modules/utils.js';
import { generateMessages } from './modules/automationManager.js';

// Export all functionality that needs to be accessible from the main contactAutomator.js
export {
    processSendQueue,
    initializeSendQueue,
    fetchGeneratedMessages,
    showMessagesModal,
    updateAllActions,
    renderTags,
    populateContactsTable,
    initializeTabControls,
    initializeAutoCloseToggle,
    updateStatus,
    delay,
    updateTabCount,
    generateMessages,
    loadSendListFromStorage
};