// Function to show status message
function showStatusMessage(message) {
    const statusElement = document.getElementById('statusMessage');
    statusElement.textContent = message;
    statusElement.style.display = 'block';
}

// Function to refresh connections
async function refreshRecentConnections() {
    // Step 1: Show opening message
    showStatusMessage('Opening Recent Connections');

    // Step 2: Open LinkedIn connections page in background tab
    const tab = await chrome.tabs.create({
        url: 'https://www.linkedin.com/mynetwork/invite-connect/connections/',
        active: false
    });

    // Step 3: Wait 2 seconds
    await new Promise(resolve => setTimeout(resolve, 2000));

    // Step 4: Show refreshing message
    showStatusMessage('Refreshing Recent Connections');

    // Step 5: Wait 5 seconds
    await new Promise(resolve => setTimeout(resolve, 5000));

    // Step 6: Show completion message
    showStatusMessage('Connections Refreshed! Please reload page now!');

    // Close the background tab after refresh is complete
    chrome.tabs.remove(tab.id);
}

// Add click event listener when the document is loaded
document.addEventListener('DOMContentLoaded', () => {
    const refreshButton = document.getElementById('refreshConnectionsBtn');
    if (refreshButton) {
        refreshButton.addEventListener('click', refreshRecentConnections);
    }
});
