// API endpoints
export const API_BASE_URL = 'https://www.goai-app.com';

// Message types
export const MESSAGE_TYPES = {
    DIRECT: 'direct-message',
    CONNECTION: 'connection-message'
};

// Status types
export const STATUS_TYPES = {
    INFO: 'info',
    SUCCESS: 'success',
    ERROR: 'error',
    LOADING: 'loading'
};

// UI Constants
export const UI_CONSTANTS = {
    BUTTON_TEXT: {
        MESSAGES: 'goAi Messages',
        CONNECT: 'goAi Connect Messages'
    },
    SELECTORS: {
        PROFILE_IMAGE: '[class^="pv-top-card-profile-picture__image"]',
        CONNECTION_DEGREE: '.dist-value[aria-hidden="true"]',
        EXPERIENCE_SECTION: 'section.artdeco-card > div#experience'
    },
    CLASS_NAMES: {
        SCRAPED_PROFILE: 'goai-scraped-profile-picture',
        GENERATE_BUTTON: 'goai-generate-float-button',
        STATUS_INDICATOR: 'goai-status-indicator'
    }
};

// Analytics Events
export const ANALYTICS_EVENTS = {
    URL_CHANGED: 'linkedin_page_url_changed',
    PROFILE_CAPTURED: 'profile_captured',
    MESSAGE_GENERATED: 'message_generated',
    MESSAGE_SENT: 'message_sent',
    CONNECTION_SENT: 'connection_sent'
};

// Timeouts and Delays
export const TIMEOUTS = {
    ELEMENT_SEARCH: 5000,
    MESSAGE_SEND_DELAY: 1000,
    MODAL_CLOSE_DELAY: 5000,
    CONNECTION_SEND_DELAY: 4000,
    UI_UPDATE_DELAY: 1500
};

// Storage Keys
export const STORAGE_KEYS = {
    EMAIL: 'email',
    AUTH_TOKEN: 'authentication_token',
    SCRAPING_SETTINGS: 'scrapingSettings',
    USER_INSTRUCTIONS: 'userInstructions'
};

// Default Settings
export const DEFAULT_SETTINGS = {
    deepActivityScraping: false,
    autoScrape: false
};