window.getTextContent = function(selector) {
  const element = document.querySelector(selector);
  return element ? element.textContent.trim() : '';
}

window.waitForElement = function(selector, timeout = 5000) {
  return new Promise((resolve, reject) => {
    const element = document.querySelector(selector);
    if (element) {
      resolve(element);
      return;
    }

    const observer = new MutationObserver((mutations, obs) => {
      const element = document.querySelector(selector);
      if (element) {
        obs.disconnect();
        resolve(element);
      }
    });

    observer.observe(document.body, {
      childList: true,
      subtree: true
    });

    setTimeout(() => {
      observer.disconnect();
      resolve(null);
    }, timeout);
  });
}

window.createLoadingOverlay = function() {
  const overlay = document.createElement('div');
  overlay.className = 'goai-overlay';
  overlay.innerHTML = `
    <div class="goai-loader">
      <div class="goai-spinner"></div>
      <p>Analyzing profile...</p>
    </div>
  `;
  return overlay;
}
